/* Copyright 2000-2010 Hiroshi Watabe*/
/* Copy ROI data */
/* $Id: copy_roi.c,v c22e8897d94e 2010/08/29 18:08:41 watabe $ */
#include "gpetview.h"

void cproi_proc()
{
  guint sroino,i,start,end,j,jj;
  RoiFig  figtemp;
  FILE *fp;
  ROIINFO roi_info;
  GtkWidget *sroino_entry,*dimgno_entry,*droino_entry;
  const gchar *str;
  char fstr[1024];

  sroino_entry = lookup_widget(roiwindow,"roi_source_entry");
  str = gtk_entry_get_text(GTK_ENTRY(sroino_entry));
  if (strlen(str)<1){//user give no source ROI number
    return;
  }
  sroino = atoi(str);

  dimgno_entry = lookup_widget(roiwindow,"roi_dest_img_from_entry");
  str = gtk_entry_get_text(GTK_ENTRY(dimgno_entry));
  start = atoi(str);
  droino_entry = lookup_widget(roiwindow,"roi_dest_img_to_entry");
  str = gtk_entry_get_text(GTK_ENTRY(droino_entry));
  end = atoi(str);
  if(start>end)	return;

  memcpy(&figtemp,&figure,sizeof(RoiFig));/*	roi img wo hozon	*/
  /* load temporary roi in /tmp */
#ifdef WIN32
  if (flag_roidir==1){
    sprintf(fstr,"%s\\roi%s.%d",temproidir,timestamp,sroino);
  }
  else{
    sprintf(fstr,"roi%s.%d",timestamp,sroino);
  }
#else
  if(flag_roidir==1){
    sprintf(fstr,"%s/roi%s.%d",temproidir,timestamp,sroino);
  }
  else{
    sprintf(fstr,"/tmp/roi%s.%d",timestamp,sroino);
  }
#endif
  fp = fopen(fstr,"rb");
  fread(&roi_info,sizeof(roi_info),1,fp);
  fclose(fp);
  roi_flag = roi_info.figure.type;
  if(roi_flag==POLYGON) Close = 1;
  memcpy(&figure,&(roi_info.figure),sizeof(figure));

  for(i=start,jj=0;i<=end;i++){
    for(j=0;j<num_max_image;j++){
      if(i == image_cell[j]->img_no){
	curr_img_roi = j;
	roi_calc();
	roi_out();
	break;
      }
    }
  }
  memcpy(&figure,&figtemp,sizeof(RoiFig));/*	roi img wo modosu	*/
}
