/* Copyright 2000-2006 Hiroshi Watabe*/
/*	Get Image Number	*/
/* $Id: get_imgno.c,v f4d449a26330 2010/04/14 21:14:30 watabe $ */
#include "gpetview.h"

const gchar *imgnostring;
guint now_seq = 1;
gint last_img_no;

void get_imgno(guint total)
{
  short	string1[50];
  int	i;
  GtkWidget *entry;
  guint rem_no;
  gint idiff;

  string1[0] = 11;
  entry = lookup_widget(settingshell,"img_no_entry");
  imgnostring = gtk_entry_get_text(GTK_ENTRY(entry));

  /* make sequence */
  memset(img_seq,0,MAX_NSEQ*sizeof(guint));
  mk_seq(total);
  if(num_seq<now_seq){
    rem_no = num_seq;
  }
  else{
    rem_no = num_seq - now_seq + 1;
  }
  idiff = Curr_imgno + rem_no - num_max_image;
  (idiff)>0?(last_img_no = num_max_image):(last_img_no = Curr_imgno + rem_no); /* if there are more reminded images than maximum image ?*/
  for(i=Curr_imgno;i<last_img_no;i++){
    image_cell[i]->img_no = img_seq[now_seq + i - Curr_imgno - 1];
  }
  image_cell[last_img_no]->img_no = END_IMAGE; /* END_IMAGE is discriptor */
  now_seq += last_img_no  - Curr_imgno;
  if(now_seq>num_seq||now_seq==num_max_image){
    now_seq = 1;
  }
  Curr_imgno = last_img_no;
  return;
}
					

